#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/wait.h>

void execute(char *command, int argc, char **argv)
{
   int result;
   fflush(stdout);

   if ((result = fork()) == 0)
   {
      if (execlp("bash", "bash", "-c", command, (char *)NULL) == -1)
         fprintf(stderr, "%s: Error executing command \"bash -c '%s'\"\n",
                 argv[0], command);
   }
   else if (result != -1)
      wait(0);
   else
      fprintf(stderr, "%s: Error executing command \"bash -c '%s'\"\n",
              argv[0], command);
}
